TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

HasPreimage ( any x, map() f ) -> elt-alg^boo, any

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> True and the preimage of x under f iff it exists, false otherwise. </shortdoc>

### Examples

x_G:=AbelianGroup([2,3]);x_H:=AbelianGroup(x_G); HasPreimage(x_G.1,x_H.ext1);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack